Debian Bug report logs - #668394
remove mp3-encoder and mp3-decoder virtual packages

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Fabian Greffrath <fabian@greffrath.com>

Date: Wed, 11 Apr 2012 15:18:01 UTC

Severity: minor

Fixed in version debian-policy/3.9.5.0

Done: Charles Plessy <plessy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#668394; Package debian-policy. (Wed, 11 Apr 2012 15:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
New Bug report received and forwarded. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 11 Apr 2012 15:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-policy: Spurious virtual packages "mp3-encoder"/"mp3-decoder"
Date: Wed, 11 Apr 2012 17:16:19 +0200
Package: debian-policy
Severity: minor

Hello,

I just stumbled upon the official list [1] of virtual packages in Debian and
was surprised by the presence of one called "mp3-encoder". This virtual package
seems to be provided by only one real package, "opencubicplayer", and I doubt
that this is actually a real mp3-encoder. On the other hand, the only
mp3-encoder that we actually have in Debian since a long time is "lame" and
this package does not even provide the virtual "mp3-encoder" package.

So there is something wrong either way. Since this seems not to have attracted
anyone's attention before, I suggest to simply remove the virtual package
"mp3-encoders" from this list. Packages should probably better directly depend
on "lame" instead.

The virtual package "mp3-decoder" should also be re-considered. While it is
already provided by a handful of packages (mpg123, mpg321, vlc[-nox] and said
opencubicplayer), it is obviously ignored by the majority of media players in
Debian and noone seems to object.

Cheers,
Fabian

[1] http://www.debian.org/doc/packaging-manuals/virtual-package-names-list.txt



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (901, 'testing'), (501, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#668394; Package debian-policy. (Sat, 14 Apr 2012 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 14 Apr 2012 22:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 668394@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Fabian Greffrath <fabian@greffrath.com>, 668394@bugs.debian.org
Subject: Re: Bug#668394: debian-policy: Spurious virtual packages "mp3-encoder"/"mp3-decoder"
Date: Sun, 15 Apr 2012 00:12:57 +0200
On Wed, Apr 11, 2012 at 05:16:19PM +0200, Fabian Greffrath wrote:
> Package: debian-policy
> Severity: minor
> 
> Hello,
> 
> I just stumbled upon the official list [1] of virtual packages in Debian and
> was surprised by the presence of one called "mp3-encoder". This virtual package
> seems to be provided by only one real package, "opencubicplayer", and I doubt
> that this is actually a real mp3-encoder. On the other hand, the only
> mp3-encoder that we actually have in Debian since a long time is "lame" and
> this package does not even provide the virtual "mp3-encoder" package.
> 
> So there is something wrong either way. Since this seems not to have attracted
> anyone's attention before, I suggest to simply remove the virtual package
> "mp3-encoders" from this list. Packages should probably better directly depend
> on "lame" instead.
> 
> The virtual package "mp3-decoder" should also be re-considered. While it is
> already provided by a handful of packages (mpg123, mpg321, vlc[-nox] and said
> opencubicplayer), it is obviously ignored by the majority of media players in
> Debian and noone seems to object.

I know about it, maintain an mp3-decoder, but find never found it
to be a useful virtual package so never added it.

I think this has actually come up before, but can't find it now.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#668394; Package debian-policy. (Sat, 14 Apr 2012 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 14 Apr 2012 22:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 668394@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Fabian Greffrath <fabian@greffrath.com>, 668394@bugs.debian.org
Subject: Re: Bug#668394: debian-policy: Spurious virtual packages "mp3-encoder"/"mp3-decoder"
Date: Sun, 15 Apr 2012 00:24:46 +0200
On Wed, Apr 11, 2012 at 05:16:19PM +0200, Fabian Greffrath wrote:
> Package: debian-policy
> Severity: minor
> 
> Hello,
> 
> I just stumbled upon the official list [1] of virtual packages in Debian and
> was surprised by the presence of one called "mp3-encoder". This virtual package
> seems to be provided by only one real package, "opencubicplayer", and I doubt
> that this is actually a real mp3-encoder. On the other hand, the only
> mp3-encoder that we actually have in Debian since a long time is "lame" and
> this package does not even provide the virtual "mp3-encoder" package.
> 
> So there is something wrong either way. Since this seems not to have attracted
> anyone's attention before, I suggest to simply remove the virtual package
> "mp3-encoders" from this list. Packages should probably better directly depend
> on "lame" instead.
> 
> The virtual package "mp3-decoder" should also be re-considered. While it is
> already provided by a handful of packages (mpg123, mpg321, vlc[-nox] and said
> opencubicplayer), it is obviously ignored by the majority of media players in
> Debian and noone seems to object.

Hello,

It would certainly be useful to know why it was added in the first place. 
The relevant bug reports are #64004, #64006 and #295006.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#668394; Package debian-policy. (Mon, 16 Apr 2012 07:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 16 Apr 2012 07:21:06 GMT) Full text and rfc822 format available.

Message #20 received at 668394@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 668394@bugs.debian.org
Subject: Re: Bug#668394: debian-policy: Spurious virtual packages "mp3-encoder"/"mp3-decoder"
Date: Mon, 16 Apr 2012 09:21:43 +0200
Am 15.04.2012 00:24, schrieb Bill Allombert:
> It would certainly be useful to know why it was added in the first place.
> The relevant bug reports are #64004, #64006 and #295006.

I've read through them.

I don't see the point of #64004. It sounds like the OP wanted to 
suggest adding it as some kind of preparation should lame ever get 
included in Debian. Well, now it is and it does *not* provide this 
virtual package. Packages supporting /u/b/lame (i.e. the CLI) should 
declare a Depends on lame instead - it's that simple.

#64006 and #295006 tell a similar story, but I believe the latter one 
is more significant. I wholeheartly agree with the reasons you give 
for the reject, being that a virtual package "audio-encoder" does not 
add value as long as all the candidates provide different interfaces. 
If you support /u/b/flac to encode audio to FLAC, declare a Depends on 
the flac package; if you support /u/b/oggenc to encode to OGG/Vorbis, 
declare a Depends on the vorbis-tools package.

As long as it is not possible to run "audio-encoder some_audio.wav" on 
Debian to convert some_audio.wav into the next best audio format, this 
virtual package makes no sense. This is especially true for 
"mp3-encoder" and the exact reason why it should get removed IMHO.

 - Fabian




Changed Bug title to 'remove mp3-encoder and mp3-decoder virtual packages' from 'debian-policy: Spurious virtual packages "mp3-encoder"/"mp3-decoder"' Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sun, 12 Aug 2012 18:30:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#668394; Package debian-policy. (Mon, 29 Jul 2013 23:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 29 Jul 2013 23:03:04 GMT) Full text and rfc822 format available.

Message #27 received at 668394@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>, 668394@bugs.debian.org
Subject: Re: Bug#668394: debian-policy: Spurious virtual packages "mp3-encoder"/"mp3-decoder"
Date: Tue, 30 Jul 2013 07:57:54 +0900
Le Mon, Apr 16, 2012 at 09:21:43AM +0200, Fabian Greffrath a écrit :
> 
> As long as it is not possible to run "audio-encoder some_audio.wav"
> on Debian to convert some_audio.wav into the next best audio format,
> this virtual package makes no sense. This is especially true for
> "mp3-encoder" and the exact reason why it should get removed IMHO.

Dear all,

shall we go ahead and remove "mp3-encoder" from the list of virtual packages ?

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#668394; Package debian-policy. (Wed, 31 Jul 2013 01:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 31 Jul 2013 01:36:04 GMT) Full text and rfc822 format available.

Message #32 received at 668394@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 668394@bugs.debian.org
Cc: Fabian Greffrath <fabian@greffrath.com>
Subject: Re: debian-policy: Spurious virtual packages "mp3-encoder"/"mp3-decoder"
Date: Tue, 30 Jul 2013 18:33:55 -0700
Charles Plessy wrote:
> Le Mon, Apr 16, 2012 at 09:21:43AM +0200, Fabian Greffrath a écrit :

>> As long as it is not possible to run "audio-encoder some_audio.wav"
>> on Debian to convert some_audio.wav into the next best audio format,
>> this virtual package makes no sense. This is especially true for
>> "mp3-encoder" and the exact reason why it should get removed IMHO.
[...]
> shall we go ahead and remove "mp3-encoder" from the list of virtual packages ?

Yes.

Thanks,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#668394; Package debian-policy. (Wed, 31 Jul 2013 23:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 31 Jul 2013 23:54:04 GMT) Full text and rfc822 format available.

Message #37 received at 668394@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 668394@bugs.debian.org, opencubicplayer@packages.debian.org
Cc: Fabian Greffrath <fabian@greffrath.com>
Subject: Re: Bug#668394: debian-policy: Spurious virtual packages "mp3-encoder"/"mp3-decoder"
Date: Thu, 1 Aug 2013 08:51:51 +0900
Le Tue, Jul 30, 2013 at 06:33:55PM -0700, Jonathan Nieder a écrit :
> Charles Plessy wrote:
> > Le Mon, Apr 16, 2012 at 09:21:43AM +0200, Fabian Greffrath a écrit :
> 
> >> As long as it is not possible to run "audio-encoder some_audio.wav"
> >> on Debian to convert some_audio.wav into the next best audio format,
> >> this virtual package makes no sense. This is especially true for
> >> "mp3-encoder" and the exact reason why it should get removed IMHO.
> [...]
> > shall we go ahead and remove "mp3-encoder" from the list of virtual packages ?
> 
> Yes

Dear opencubicplayer maintainers,

as discussed in the Policy bug #668394, we are about to remove "mp3-encoder"
from the list of virtual packages.  The binary package opencubicplayer is the
only one that provides it, so this will not create a buggy situation.  Please
let us know if you have objections about this.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#668394; Package debian-policy. (Sat, 03 Aug 2013 06:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 03 Aug 2013 06:57:10 GMT) Full text and rfc822 format available.

Message #42 received at 668394@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Charles Plessy <plessy@debian.org>, 668394@bugs.debian.org
Cc: opencubicplayer@packages.debian.org, Fabian Greffrath <fabian@greffrath.com>
Subject: Re: Bug#668394: debian-policy: Spurious virtual packages "mp3-encoder"/"mp3-decoder"
Date: Sat, 3 Aug 2013 15:56:01 +0900
tag 668394 pending
thanks

Le Thu, Aug 01, 2013 at 08:51:51AM +0900, Charles Plessy a écrit :
> Le Tue, Jul 30, 2013 at 06:33:55PM -0700, Jonathan Nieder a écrit :
> > Charles Plessy wrote:
> > > Le Mon, Apr 16, 2012 at 09:21:43AM +0200, Fabian Greffrath a écrit :
> > 
> > >> As long as it is not possible to run "audio-encoder some_audio.wav"
> > >> on Debian to convert some_audio.wav into the next best audio format,
> > >> this virtual package makes no sense. This is especially true for
> > >> "mp3-encoder" and the exact reason why it should get removed IMHO.
> > [...]
> > > shall we go ahead and remove "mp3-encoder" from the list of virtual packages ?
> > 
> > Yes
> 
> Dear opencubicplayer maintainers,
> 
> as discussed in the Policy bug #668394, we are about to remove "mp3-encoder"
> from the list of virtual packages.  The binary package opencubicplayer is the
> only one that provides it, so this will not create a buggy situation.  Please
> let us know if you have objections about this.

Dear all,

counting Jonathan's "Yes" as a formal second, and adding my own seconding, I
removed mp3-encoder from the list of virtual packages.

Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Added tag(s) pending. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sat, 03 Aug 2013 06:57:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#668394; Package debian-policy. (Sat, 03 Aug 2013 14:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 03 Aug 2013 14:09:10 GMT) Full text and rfc822 format available.

Message #49 received at 668394@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Charles Plessy <plessy@debian.org>, 668394@bugs.debian.org
Cc: Fabian Greffrath <fabian@greffrath.com>
Subject: Re: Bug#668394: debian-policy: Spurious virtual packages "mp3-encoder"/"mp3-decoder"
Date: Sat, 3 Aug 2013 16:04:56 +0200
On Tue, Jul 30, 2013 at 07:57:54AM +0900, Charles Plessy wrote:
> 
> Dear all,
> 
> shall we go ahead and remove "mp3-encoder" from the list of virtual packages ?

Yes.

I'm also for removing mp3-decoder, since I have no idea if that is
something that just converts it to a uncompressed format, or plays
it.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#668394; Package debian-policy. (Sun, 04 Aug 2013 00:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 04 Aug 2013 00:39:04 GMT) Full text and rfc822 format available.

Message #54 received at 668394@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 668394@bugs.debian.org, Fabian Greffrath <fabian@greffrath.com>
Cc: plait@packages.debian.org, nautilus@packages.debian.org, nemo@packages.debian.org, mpg321@packages.debian.org, opencubicplayer@packages.debian.org, mpg123@packages.debian.org, vlc@packages.debian.org
Subject: Re: Bug#668394: debian-policy: Spurious virtual packages "mp3-encoder"/"mp3-decoder"
Date: Sun, 4 Aug 2013 09:36:24 +0900
[Dear package maintainers, you have been CCed because we are considering to
remove "mp3-decoder" from the Policy's list of virtual packages.]

Le Sat, Aug 03, 2013 at 04:04:56PM +0200, Kurt Roeckx a écrit :
> 
> I'm also for removing mp3-decoder, since I have no idea if that is
> something that just converts it to a uncompressed format, or plays
> it.

I thought about this, but there are a couple of packages depending on it as
alternative and I felt reluctant, but on a second view, it looks like
mp3-decoder is not used consistently and currently serves no role.

	$ for field in Depends Recommends Suggests Provides; do grep-aptavail -F $field mp3-decoder -s Package,$field ; done
	
	Package: plait
	Recommends: mpg123 | mpg321 | amarok | mp3-decoder

	Package: nautilus
	Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs, tracker

	Package: nemo
	Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs

	Package: mpg321
	Provides: mp3-decoder, mpg123

	Package: opencubicplayer
	Provides: audio-mixer, mp3-decoder, mp3-encoder, x-audio-mixer

	Package: mpg123
	Provides: mp3-decoder, mpg123-oss-3dnow

	Package: vlc
	Provides: mp3-decoder

	Package: vlc-nox
	Provides: mp3-decoder

Would there be an objection to remove "mp3-decoder" from the Policy's list of
virtual packages ?

By the way, there are more open bugs related to virtual packages, and some of
them probably do not require extensive knowledge.  Any volunteer ?

Have a nice Sunday,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#668394; Package debian-policy. (Sat, 17 Aug 2013 06:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 17 Aug 2013 06:54:05 GMT) Full text and rfc822 format available.

Message #59 received at 668394@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 668394@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Kurt Roeckx <kurt@roeckx.be>
Subject: Re: Bug#668394: debian-policy: Spurious virtual packages "mp3-encoder"/"mp3-decoder"
Date: Sat, 17 Aug 2013 15:51:41 +0900
Le Sun, Aug 04, 2013 at 09:36:24AM +0900, Charles Plessy a écrit :
> 
> Would there be an objection to remove "mp3-decoder" from the Policy's list of
> virtual packages ?

I went ahead and removed the mp3-decoder virtual package as well.  The changelog
now reads as follows.

  * virtual-package-names-list: removed mp3-decoder and mp3-encoder.
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #668394

Jonathan, Kurt, is that good for you ?

Have a nice week-end,

Charles

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#668394; Package debian-policy. (Sat, 17 Aug 2013 07:09:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 17 Aug 2013 07:09:40 GMT) Full text and rfc822 format available.

Message #64 received at 668394@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Charles Plessy <plessy@debian.org>
Cc: 668394@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#668394: debian-policy: Spurious virtual packages "mp3-encoder"/"mp3-decoder"
Date: Sat, 17 Aug 2013 08:59:36 +0200
On Sat, Aug 17, 2013 at 03:51:41PM +0900, Charles Plessy wrote:
> Le Sun, Aug 04, 2013 at 09:36:24AM +0900, Charles Plessy a écrit :
> > 
> > Would there be an objection to remove "mp3-decoder" from the Policy's list of
> > virtual packages ?
> 
> I went ahead and removed the mp3-decoder virtual package as well.  The changelog
> now reads as follows.
> 
>   * virtual-package-names-list: removed mp3-decoder and mp3-encoder.
>     Seconded: Jonathan Nieder <jrnieder@gmail.com>
>     Seconded: Kurt Roeckx <kurt@roeckx.be>
>     Seconded: Charles Plessy <plessy@debian.org>
>     Closes: #668394
> 
> Jonathan, Kurt, is that good for you ?

Yes.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#668394; Package debian-policy. (Sat, 17 Aug 2013 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 17 Aug 2013 22:36:03 GMT) Full text and rfc822 format available.

Message #69 received at 668394@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Charles Plessy <plessy@debian.org>
Cc: 668394@bugs.debian.org, Kurt Roeckx <kurt@roeckx.be>
Subject: Re: debian-policy: Spurious virtual packages "mp3-encoder"/"mp3-decoder"
Date: Sat, 17 Aug 2013 15:32:37 -0700
Charles Plessy wrote:

> I went ahead and removed the mp3-decoder virtual package as well.  The changelog
> now reads as follows.
>
>   * virtual-package-names-list: removed mp3-decoder and mp3-encoder.
>     Seconded: Jonathan Nieder <jrnieder@gmail.com>
>     Seconded: Kurt Roeckx <kurt@roeckx.be>
>     Seconded: Charles Plessy <plessy@debian.org>
>     Closes: #668394
>
> Jonathan, Kurt, is that good for you ?

Yes, that's fine.  Thanks for taking care of it.

Jonathan



Reply sent to Charles Plessy <plessy@debian.org>:
You have taken responsibility. (Mon, 28 Oct 2013 01:21:05 GMT) Full text and rfc822 format available.

Notification sent to Fabian Greffrath <fabian@greffrath.com>:
Bug acknowledged by developer. (Mon, 28 Oct 2013 01:21:05 GMT) Full text and rfc822 format available.

Message #74 received at 668394-close@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 668394-close@bugs.debian.org
Subject: Bug#668394: fixed in debian-policy 3.9.5.0
Date: Mon, 28 Oct 2013 01:18:26 +0000
Source: debian-policy
Source-Version: 3.9.5.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668394@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Charles Plessy <plessy@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 28 Oct 2013 09:40:48 +0900
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.5.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Charles Plessy <plessy@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 668394 669915 671355 676784 679326 690293 691352 697433 698030 700536 700574 701081 703022 704657 705403 706778 707077 707183 715804 720507
Changes: 
 debian-policy (3.9.5.0) unstable; urgency=low
 .
   * Policy: Document the Package-List field.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #697433
   * Policy: DM-Upload-Allowed is now obsolete
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Ansgar Burchardt <ansgar@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #679326
   * Policy: Checksums-{Sha1,Sha256} are now mandatory
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Ansgar Burchardt <ansgar@debian.org>
     Closes: #690293
   * Policy: Requirements for udebs are not well documented yet
     Wording: Russ Allbery <rra@debian.org>
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #698030
   * Policy: install-info is run by a dpkg trigger.
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #669915
   * Policy: Stop recommending to serve HTML documents from /usr/share/doc.
     Wording: Thomas Goirand <zigo@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Jonathan Nieder <jrnieder@gmail.com>
     Closes: #715804
   * Policy: File names encoded in UTF-8. ASCII preferred and mandatory in PATH.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Julian Gilbey <julian@d-and-j.net>
     Closes: #701081
   * Policy: Document the Dgit field for Debian Source Control files.
     Wording: Ian Jackson <ijackson@chiark.greenend.org.uk>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Joey Hess <joeyh@debian.org>
     Seconded: Dmitrijs Ledkovs <xnox@debian.org>
     Closes: #720507
   * Policy: Remove the exception to the FHS for the /selinux directory.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Closes: #707183
   * Policy: on upgrades, recommend removing obsolete unchanged conf. files.
     Wording: Paul Wise <pabs@debian.org>
     Seconded: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Closes: #707077
   * Policy: Control data fields must not start with a hyphen character.
     Wording: Niels Thykier <niels@thykier.net>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #706778
   * debconf_spec: Document the 'escape' capability.
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #671355
   * virtual-package-names-list: removed mp3-decoder and mp3-encoder.
     Seconded: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Kurt Roeckx <kurt@roeckx.be>
     Seconded: Charles Plessy <plessy@debian.org>
     Closes: #668394
   * Clean outdated mentions of dpkg commands in appendix. Thanks, Guillem Jover
   * Remove outdated mention of dselect documentation.
     Closes: #700574.  Thanks, Guillem Jover.
   * Update dak reference from old katie name.
     Closes: #700536.  Thanks, Guillem Jover.
   * Fix typo in 8.6.4.  Thanks, Raúl Benencia.  (Closes: #691352)
   * Fix typo in 8.6.4.1.  Thanks, Salvatore Bonaccorso <carnil@debian.org>.
   * Added a warning in appendix G about diverting conffiles.
     Closes: #703022.  Thanks, Torsten Jerzembeck.
   * List build-arch and build-indep with the other required targets in 4.9.
     Closes: #704657.  Thanks, Philipp Hahn.
   * Replaced non-standard names of dpkg states by normalised ones.
     Closes: #705403
   * Clarify what is meant by "compressed" in section 10.5. (Closes: #676784)
   * Packaging: use the VCS URLs proposed by Lintian.
   * Packaging: normalised debian/control with the tool "config-model-edit".
   * Packaging: refreshed the names of the Policy Editors.
Checksums-Sha1: 
 49c5f971214313898754f1644b0ee93d2fba5b1a 1905 debian-policy_3.9.5.0.dsc
 44c176e8eb47b2ab31cf4a0f3b77d77d7b4ecea4 705836 debian-policy_3.9.5.0.tar.gz
 7d6edc865b3dd4d17f8a1f3f8a83febe0f6fa76d 1875912 debian-policy_3.9.5.0_all.deb
Checksums-Sha256: 
 39188d1779a5f79f5d742dc5909107440b236799d43df14d8ab2b1922a6f5b3e 1905 debian-policy_3.9.5.0.dsc
 2314a8daee0bbf212a5de119364d8350190f396a7104646c0540b2d80443dbf5 705836 debian-policy_3.9.5.0.tar.gz
 22def8fecebfc8332de984581602e68b584489ba512c2b9545daedd2248d7fb6 1875912 debian-policy_3.9.5.0_all.deb
Files: 
 7236d4ae22ea8706e70351241b33133f 1905 doc optional debian-policy_3.9.5.0.dsc
 e077997b84cb2463ca0cb02a03eb346b 705836 doc optional debian-policy_3.9.5.0.tar.gz
 b20057c896ccd385cb23d34cced3b5ac 1875912 doc optional debian-policy_3.9.5.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCgAGBQJSbbiQAAoJEMW9bI8ildUCNGUP/1R/Fy1fCZziEnf0jdWAhXK4
7hg58u4O9im+iDa47KjvmFs6lSibRn4gEGX4RbEAJzXAM7Yl8j/CNhZb3rX7vhs1
svX7zCXJSAgcYCCHiXXsR0QRWQdxuPCuAfRkx3aYsXcppWQePsr5QmhSJBADESQ1
UqLdi2bbhtV5ONJpBM5uAjIQDcIYyE3trHguPGO4aM46wJZT3RriMy09esiPMX7k
wdliCTHdUf3ozQxtnoj+FqisAP4bAGIUKVzNSFpVTbtKS9SOp/lUPCf5ePW6tQMZ
q9fB6Apigf3m9tUcrfiIhIkBM7EFtqtCT67OIdIGr3ZL5ku+DDrc83CmVvtYmsgs
+BycHdV5KCcD5LLMlFUKso0URgQSxoCYDBOgqUhDLm75fW7Sek2JRX4iLEoo4FF0
x4GQfbNmoToY8axJpU2oJYtd/pGfaZpXqWl6jvqKGIS/PaglS2F//oEIWN0q1grc
01WC2rppiumTb0eE+C7y7eQ9bIOEVqZFYYA52KHAeb7C0mzZoJ0bXR4wXrwhRZdm
8lODxmawknIFjDGZhar+Df8VdsGlvSRsP3SKDjEOu6MRJuDBEfGJtEd4BwqikYRL
gdUfNzyIIGOJF7J4Jrm7WaAoJMm9xWnBFuz/BPPAJr92ZQWr6QIoscOfeR/iPsaz
YUst3H9ResYJJ6xDGi4B
=+tfQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Dec 2013 07:42:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:53:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.